API referenceAdmin operations
Create an application API key
agw_identity_auth.session_token<token>
The console's session cookie. Admin requests from the console also send x-console-request: 1.
In: cookie
Path Parameters
app*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/admin/apps/string/keys" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "id": "string", "name": "string", "key": "string", "key_prefix": "string", "created_at": "string"}List application API keys
List application API keys (GET /v1/admin/apps/{app}/keys) in the App AI Gateway API. Accepts a management key, MCP OAuth token or console session.
Revoke an application API key
Revoke an application API key (POST /v1/admin/apps/{app}/keys/{key}/revoke) in the App AI Gateway API.